<?xml version="1.0"?>
<ComicInfo xmlns:xsd="http://www.w3.org/2001/XMLSchema" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance">
  <Series>Blue Book</Series>
  <Number>4</Number>
  <Web>https://www.amazon.com/dp/B0BXMKZ3Y6</Web>
  <Summary>James Tynion IV! Michael Avon Oeming! Madness and paranoia continue to take a toll on the sanity of Betty and Barney Hill as they search for help in determining whether their nightmares may have been missing memories of their alien encounter. Tiny Onion Studios and Dark Horse Comics present a line of upcoming creator- owned work from the mind of James Tynion IV across a broad spectrum of his interests, from nonfiction supernatural encounters to high concept coming-of-age monster comics. Also including True Weird: The Cinder Woman by Steve Foxe, John McCrea, and Aditya Bidikar.</Summary>
  <Notes>Scraped metadata from Amazon [ASINB0BXMKZ3Y6]</Notes>
  <Publisher>Dark Horse</Publisher>
  <Genre>Science Fiction, Non-Fiction</Genre>
  <PageCount>36</PageCount>
  <LanguageISO>en</LanguageISO>
  <ScanInformation></ScanInformation>
</ComicInfo>
